package kiba.hilfsklassen;


 /**
 *  <h4>Parser.java</h4>
 *
 *  Copyright (C) 2013 Guido Kramann<br/>
 *  kramann@fh-brandenburg.de<br/>
 *  http://www.kramann.info<br/>
 *  <br/>
 *  <p>  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  </p>
 *  <p>
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  </p>
 *  <p>
 *  You should have received a copy of the GNU General Public License
 *  along with this program (gpl.html).  If not, see http://www.gnu.org/licenses/.
 *  </p>
 */
public class Pfad
{
    /**Liefert den Pfad, in dem sich das jar-File derjenigen Library bfindet, in dem
    die vorligende Klasse "Pfad" ein Teil ist.*/
    public String holeJarPfad()
    {
        String pf = this.getClass().getProtectionDomain().getCodeSource().getLocation().getPath();  
        //Jar-File-Name entfernen:
        int i = pf.length()-1;
        while(pf.charAt(i)!='/')
            i--;
        pf = pf.substring(0,i);

        return pf;
    }
}

